Skip to content
Start here

Get Workflow details

workflows.get(strworkflow_name, WorkflowGetParams**kwargs) -> WorkflowGetResponse
GET/accounts/{account_id}/workflows/{workflow_name}

Retrieves configuration and metadata for a specific workflow.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
account_id: str
workflow_name: str
maxLength64
minLength1
ReturnsExpand Collapse
class WorkflowGetResponse:
id: str
formatuuid
class_name: str
created_on: datetime
formatdate-time
instances: Instances
complete: Optional[float]
errored: Optional[float]
paused: Optional[float]
queued: Optional[float]
running: Optional[float]
terminated: Optional[float]
waiting: Optional[float]
waiting_for_pause: Optional[float]
modified_on: datetime
formatdate-time
name: str
maxLength64
minLength1
script_name: str
triggered_on: Optional[datetime]
formatdate-time

Get Workflow details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
workflow = client.workflows.get(
    workflow_name="x",
    account_id="account_id",
)
print(workflow.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}